Name:           perl-Pegex
Version:        0.75
Release:        13%{?dist}
Summary:        Pegex Parser Generator
# inc/lib/TestML:       GPL-1.0-or-later OR Artistic-1.0-Perl (bundled from
#                       TestML-0.46)
# lib/Pegex.pod:        GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Base.pm:    generated by Mo
# lib/Pegex/Bootstrap.pod:  GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Compiler.pod:   GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Grammar.pod:    GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Grammar/Atoms.pod:  GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Input.pod:      GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Module.pod:     GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Parser.pod: GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Receiver.pod:   GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Regex.pod:  GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Pegex/Grammar.pod:  GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Tree.pod:   GPL-1.0-or-later OR Artistic-1.0-Perl
# lib/Pegex/Tree/Wrap.pod:  GPL-1.0-or-later OR Artistic-1.0-Perl
# LICENSE:      GPL-1.0-or-later OR Artistic-1.0-Perl
# README:       GPL-1.0-or-later OR Artistic-1.0-Perl
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Pegex
Source0:        https://cpan.metacpan.org/authors/id/I/IN/INGY/Pegex-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(overload)
BuildRequires:  perl(re)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Term::ANSIColor)
# XXX not used at tests
# perl(YAML::PP) not used at tests
# Tests:
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Safe)
BuildRequires:  perl(Test::More)
# Text::Diff not helpful
BuildRequires:  perl(utf8)
# Optional tests:
BuildRequires:  perl(YAML::PP) >= 0.019
Requires:       perl(Data::Dumper)
Requires:       perl(JSON::PP)
Requires:       perl(Term::ANSIColor)
Requires:       perl(XXX) >= 0.35
Requires:       perl(YAML::PP) >= 0.019

# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(YAML::PP\\)$
# Remove private modules
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\((TestAST|TestML)
%global __requires_exclude %{__requires_exclude}|^perl\\((TestAST|TestML)

%description
Pegex is an Acmeist parser framework. It is a PEG parser grammar syntax,
combined with PCRE compatible regular expressions as the match tokens.
Pegex draws heavily from Perl 6 rules, but works equivalently in many
modern programming languages.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(List::Util)
Requires:       perl(YAML::PP) >= 0.019

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%setup -q -n Pegex-%{version}
# Remove author tests
rm t/author-pod-syntax.t
perl -i -ne 'print $_ unless m{^t/author-pod-syntax\.t}' MANIFEST
# Remove shebangs
for F in t/pegex-tml/*; do
    perl -i -ne 'print $_ unless m{^#!}' "$F"
    chmod -x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*
# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a inc t %{buildroot}%{_libexecdir}/%{name}
# t/000-compile-modules.t inspects nonexitant ./lib
rm %{buildroot}%{_libexecdir}/%{name}/t/000-compile-modules.t
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING example README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Petr Pisar <ppisar@redhat.com> - 0.75-11
- Specify all dependencies
- Package the tests

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.75-9
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.75-6
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.75-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.75-3
- Perl 5.32 rebuild

* Wed Mar 11 2020 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.75-2
- Add BuildRequires perl(Safe)

* Mon Feb 17 2020 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.75-1
- Update to 0.75

* Mon Jan 27 2020 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.74-1
- Update to 0.74
- Change a lot of BuildRequires and Requires

* Mon Jan 06 2020 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.72-1
- Update to 0.72

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.70-4
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 19 2018 Petr Pisar <ppisar@redhat.com> - 0.70-2
- Do not depend on bundled TestML
- Remove perl_bootstrap code because perl-TestML >= 0.54_05 does not require
  perl-Pegex

* Mon Nov 12 2018 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.70-1
- Update to 0.70

* Fri Aug 31 2018 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.65-1
- Update to 0.65
- Add dependency perl-JSON-PP

* Sun Jul 01 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.64-4
- Perl 5.28 re-rebuild of bootstrapped packages

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.64-3
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 19 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.64-1
- Update to 0.64

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.63-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.63-4
- Perl 5.26 re-rebuild of bootstrapped packages

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.63-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 17 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.63-1
- Update to 0.63

* Wed Sep 14 2016 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.61-2
- remove tests that fails

* Thu Jun 16 2016 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.61-1
- Update to 0.61

* Wed May 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.60-7
- Perl 5.24 re-rebuild of bootstrapped packages

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.60-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.60-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.60-3
- Perl 5.22 re-rebuild of bootstrapped packages

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.60-2
- Perl 5.22 rebuild

* Wed Feb 04 2015 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.60-1
- Update to 0.60
- BuildRequires perl(File::ShareDir::Install) added

* Sun Sep 07 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.45-3
- Perl 5.20 re-rebuild of bootstrapped packages

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.45-2
- Perl 5.20 rebuild

* Fri Aug 08 2014 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.45-1
- Update to 0.45

* Thu Aug 07 2014 Petr Pisar <ppisar@redhat.com> - 0.44-2
- Finish bootstrap

* Thu Jul 31 2014 Petr Pisar <ppisar@redhat.com> - 0.44-1
- 0.44 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.21-2
- Perl 5.18 rebuild

* Mon Feb 18 2013 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.21-1
- Update to 0.21

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.11-6
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.11-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.11-2
- rebuild with new Perl version

* Wed Oct 27 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.11-1
- remove unnecessary BuildRequires

* Sun Oct 03 2010 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.10-1
- BuildRequires perl(Test::Builder) added
- Specfile autogenerated by cpanspec 1.78.
